/**
 * JVtxFlash is a simple thread that implements flashing text.
 * @author Martin Denn <mdenn@unix-ag.uni-kl.de>
 * @version 0.02
 */
class JVtxFlash extends Thread {
    JVtxPage vtx_page;
    final long SLEEPTIME = 500;

    /**
     * Constructor.
     * @param page the JVtxPage class that contains the flashing text.
     */
    public JVtxFlash(JVtxPage page) {
        vtx_page = page;
    }

    /**
     * The thread's run method.
     */
    public void run() {
        while (true) {
            try {
                this.sleep(SLEEPTIME);
            }
            catch (InterruptedException e1) {
            }
            vtx_page.paintFlashing();
        }
    }
}
